Get cryptocurrency deposit address
curl --request POST \
--url https://whitebit.com/api/v4/main-account/address \
--header 'Content-Type: application/json' \
--header 'X-TXC-APIKEY: <api-key>' \
--header 'X-TXC-PAYLOAD: <api-key>' \
--header 'X-TXC-SIGNATURE: <api-key>' \
--data '
{
"ticker": "BTC",
"request": "{{request}}",
"nonce": 1594297865000,
"network": "ERC20"
}
'import requests
url = "https://whitebit.com/api/v4/main-account/address"
payload = {
"ticker": "BTC",
"request": "{{request}}",
"nonce": 1594297865000,
"network": "ERC20"
}
headers = {
"X-TXC-APIKEY": "<api-key>",
"X-TXC-PAYLOAD": "<api-key>",
"X-TXC-SIGNATURE": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-TXC-APIKEY': '<api-key>',
'X-TXC-PAYLOAD': '<api-key>',
'X-TXC-SIGNATURE': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({ticker: 'BTC', request: '{{request}}', nonce: 1594297865000, network: 'ERC20'})
};
fetch('https://whitebit.com/api/v4/main-account/address', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account": {
"address": "GDTSOI56XNVAKJNJBLJGRNZIVOCIZJRBIDKTWSCYEYNFAZEMBLN75RMN",
"memo": "48565488244493"
},
"required": {
"fixedFee": "0",
"flexFee": {
"maxFee": "0",
"minFee": "0",
"percent": "0"
},
"maxAmount": "0",
"minAmount": "1"
}
}{
"code": 123,
"message": "<string>",
"errors": {}
}Get cryptocurrency deposit address
Get an existing cryptocurrency deposit address for a given currency and network via the V4 API.
Get cryptocurrency deposit address
Authorizations
The public WhiteBIT API key.
Base64-encoded JSON request body.
HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).
Body
application/json
Currencies ticker. Example: BTC ⚠️ Currency ticker should not be fiat and it’s “can_deposit” status must be “true”. See Asset Status endpoint response for the status.
Example:
"BTC"
Request signature
Example:
"{{request}}"
Unique request identifier
Example:
1594297865000
Cryptocurrency network. ⚠️ If currency has multiple networks like USDT, specify the network to use. See ticker networks list in “networks” field from response Asset Status endpoint.
Example:
"ERC20"
Was this page helpful?
⌘I